Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class EntityProtoComparators.EntityProtoComparator

    java.lang.Object
      com.google.appengine.api.datastore.EntityProtoComparators.EntityProtoComparator

All Implemented Interfaces:
  java.util.Comparator<OnestoreEntity.EntityProto>

Enclosing class:
  EntityProtoComparators

    public static final class EntityProtoComparators.EntityProtoComparator

extends java.lang.Object
implements java.util.Comparator<OnestoreEntity.EntityProto>

Constructor Summary
`EntityProtoComparators.EntityProtoComparator(java.util.List<Order> orders)`
`EntityProtoComparators.EntityProtoComparator(java.util.List<Order> orders, java.util.List<Filter> filters)`

Method Summary
`int` | `compare(OnestoreEntity.EntityProto protoA, OnestoreEntity.EntityProto protoB)`
`java.util.List<Order>` | `getAdjustedOrders()`
`boolean` | `matches(OnestoreEntity.EntityProto proto)`
`boolean` | `matches(OnestoreEntity.Property prop)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### EntityProtoComparators.EntityProtoComparator

    public EntityProtoComparators.EntityProtoComparator(java.util.List<Order> orders)

### EntityProtoComparators.EntityProtoComparator

    public EntityProtoComparators.EntityProtoComparator(java.util.List<Order> orders,
                                                        java.util.List<Filter> filters)

Method Detail

### getAdjustedOrders

    public java.util.List<Order> getAdjustedOrders()

### matches

    public boolean matches(OnestoreEntity.EntityProto proto)

### matches

    public boolean matches(OnestoreEntity.Property prop)

### compare

    public int compare(OnestoreEntity.EntityProto protoA,
                       OnestoreEntity.EntityProto protoB)

  Specified by:
    `compare` in interface `java.util.Comparator<OnestoreEntity.EntityProto>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD